=== debian/changelog ===
pandas (0.13.1-2ubuntu2) trusty; urgency=medium

  * No change rebuild to drop python3.3 compiled extension.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 31 Mar 2014 19:36:21 +0100

pandas (0.13.1-2ubuntu1) trusty; urgency=low

  * drop statsmodels build depends to bootstrap arm64
    only adds a few more build tests

 -- Julian Taylor <jtaylor@ubuntu.com>  Mon, 10 Feb 2014 20:08:13 +0100

pandas (0.13.1-2) unstable; urgency=low

  * debian/patches/changeset_6d56e7300d66d3ba76684334bbb44b6cd0ea9f61.diff
    to fix FTBFS of statsmodels due to failing tests (Closes: #735804)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 08 Feb 2014 12:46:42 -0500

pandas (0.13.1-1) unstable; urgency=low

  * Fresh upstream release
  * debian/patches
    - deb_skip_test_pytables_failure to mitigate error while testing on
      amd64 wheezy and ubuntu 12.04

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 04 Feb 2014 12:09:29 -0500

pandas (0.13.0+git464-g15a8ff7-1) experimental; urgency=low

  * Fresh pre-release snapshot
  * debian/patches
    - removed all cherry-picked patches (should have been upstreamed)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 29 Jan 2014 21:27:45 -0500

pandas (0.13.0-2) unstable; urgency=low

  * debian/patches
    - 0001-BLD-fix-cythonized-msgpack-extension-in-setup.py-GH5.patch
      to resolve issue with building C++ Cython extension using
      pre-generated sources
    - 0001-Add-division-future-import-everywhere.patch
      0002-remove-explicit-truediv-kwarg.patch
      to resolve compatibility issues with elderly Numexpr
    - 0001-BUG-Yahoo-finance-changed-ichart-url.-Fixed-here.patch
    - deb_skip_sequencelike_on_armel to prevent FTBFS on armel due to failing
      test: https://github.com/pydata/pandas/issues/4473

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 03 Jan 2014 23:13:48 -0500

pandas (0.13.0-1) unstable; urgency=low

  * Fresh upstream release
    - resolved compatibility with matplotlib 1.3 (Closes: #733848)
  * debian/{control,rules}
    - use xvfb (added to build-depends together with xauth, and xclip)
      for tests
    - define http*_proxy to prevent downloads
    - install .md files not .rst for docs -- were renamed upstream
    - include .cpp Cython generated files into debian/cythonized-files*

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 01 Jan 2014 18:08:22 -0500
