## pandas 0.14.1

=== debian/changelog ===
pandas (0.14.1-2) unstable; urgency=medium

  * debian/patches/changeset_314012d.diff
    - Fix converter test for MPL1.4 (Closes: #763709)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 06 Oct 2014 11:53:42 -0400

pandas (0.14.1-1) unstable; urgency=medium

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 10 Jul 2014 23:38:49 -0400

pandas (0.14.0+git393-g959e3e4-1) UNRELEASED; urgency=medium

  * New upstream snapshot from v0.14.0-345-g8cd3dd6
  * debian/rules
    - disable running disabled tests to prevent clipboard tests failures
      under kfreebsd kernels

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 07 Jul 2014 12:29:50 -0400

pandas (0.14.0+git213-g741b2fa-1) experimental; urgency=medium

  * New upstream snapshot from v0.14.0-213-g741b2fa.

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 19 Jun 2014 10:30:42 -0400

pandas (0.14.0+git17-g3849d5d-1) unstable; urgency=medium

  * New upstream snapshot from v0.14.0-17-g3849d5d -- has resolved a number
    of bugs sneaked into 0.14.0 release, and caused FTBFS on some platforms
    and backports

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 01 Jun 2014 00:54:34 -0400

pandas (0.14.0-1) unstable; urgency=medium

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 30 May 2014 08:45:35 -0400

pandas (0.14.0~rc1+git79-g1fa5dd4-1) experimental; urgency=medium

  * New upstream snapshot from v0.14.0rc1-73-g8793356
  * debian/patches:
    - dropped CPed changeset_*s
    - added deb_disable_googleanalytics
  * debian/control:
    - boosted policy compliance to 3.9.5

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 27 May 2014 16:00:00 -0400
