=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pandas
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50),
                python-all-dev (>= 2.5),
@@ -17,6 +16,7 @@
                python-matplotlib,
                python-tk,
                python-openpyxl, python-xlwt, python-xlrd,
+               python-statsmodels,
                python-bs4,
                python-html5lib,
                python-six,
@@ -35,7 +35,7 @@
 			   xvfb, xauth, xclip,
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://pandas.sourceforge.net
 Vcs-Browser: http://github.com/neurodebian/pandas
 Vcs-Git: git://github.com/neurodebian/pandas.git
