=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 UVER := $(shell LC_ALL=C dpkg-parsechangelog | awk '/^Version:/{print $$2;}' | sed -e 's,-[^-]*$$,,g')
 
-MIN_CYTHONVER = 0.17.3
+MIN_CYTHONVER = 0.20.2
 
 # Some unittests might need to be excluded for different Python versions
 EXCLUDE_TESTS := --exclude test_bar_log
@@ -94,7 +94,7 @@
 	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
 	python$* ci/print_versions.py; \
     cd build/; xvfb-run -a -s "-screen 0 1280x1024x24 -noreset" \
-      python$* /usr/bin/nosetests -s -v -a '!network' $(EXCLUDE_TESTS) $(EXCLUDE_TESTS$*) pandas;
+      python$* /usr/bin/nosetests -s -v -A 'not network and not disabled' $(EXCLUDE_TESTS) $(EXCLUDE_TESTS$*) pandas;
 else
 	: # Skip unittests due to nocheck
 endif
