## pandas 0.15.0

=== debian/changelog ===
pandas (0.15.0-2) unstable; urgency=medium

  * debian/control
    - specify minimal numpy to be 1.7
  * debian/patches
    - deb_skip_stata_on_bigendians   skip test_stata again on BE platforms
    - deb_skip_test_precision_i386   skip test_precision_conversion on 32bit

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 30 Oct 2014 23:09:13 -0400

pandas (0.15.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - restrict statsmodels and matplotlib from being required on the ports
      which do not have them

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 26 Oct 2014 11:30:23 -0400
