=== debian/control ===
--- 
+++ 
@@ -7,28 +7,28 @@
                python-all-dev (>= 2.5),
                python-setuptools,
                cython (>= 0.17.1~),
-               python-numpy (>= 1:1.6.1~), python-dateutil,
+               python-numpy (>= 1:1.7~), python-dateutil,
                python-scipy,
                python-tz,
                python-tables,
                python-sphinx (>= 1.0~),
                python-nose,
-               python-matplotlib,
+               python-matplotlib [!hurd-i386],
                python-tk,
                python-openpyxl, python-xlwt, python-xlrd,
-               python-statsmodels,
+               python-statsmodels [!arm64 !ppc64el],
                python-bs4,
                python-html5lib,
                python-six,
                python3-all-dev,
                python3-setuptools,
                cython3 (>= 0.17.1~) | cython (<< 0.17.1~),
-               python3-numpy (>= 1:1.6.1~), python3-dateutil,
+               python3-numpy (>= 1:1.7~), python3-dateutil,
                python3-scipy,
                python3-tz,
                python3-sphinx (>= 1.0~),
                python3-nose,
-               python3-matplotlib | python-matplotlib (<< 1.2.0~),
+               python3-matplotlib [!hurd-i386]| python-matplotlib (<< 1.2.0~) [!hurd-i386],
                python3-tk,
                python3-bs4,
                python3-six,
@@ -44,7 +44,7 @@
 Package: python-pandas
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends},
-         python-numpy (>= 1:1.6~),
+         python-numpy (>= 1:1.7~),
          python-dateutil,
          python-pandas-lib(>= ${source:Version}),
          python-six,
@@ -83,7 +83,7 @@
 Package: python3-pandas
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
-         python3-numpy (>= 1:1.6~),
+         python3-numpy (>= 1:1.7~),
          python3-dateutil,
          python3-pandas-lib(>= ${source:Version})
 Recommends: python3-scipy,
@@ -127,7 +127,7 @@
 
 Package: python-pandas-lib
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy (>= 1:1.7~)
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: low-level implementations and bindings for pandas
@@ -138,7 +138,7 @@
 
 Package: python3-pandas-lib
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, python3-numpy
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, python3-numpy (>=1:1.7~)
 Description: low-level implementations and bindings for pandas - Python 3
  This is an add-on package for python-pandas providing
  architecture-dependent extensions.
