## pandas 0.16.2+git65-g054821d

=== debian/changelog ===
pandas (0.16.2+git65-g054821d-1~nd14.10+1) utopic; urgency=low

  * Backported for utopic.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 01 Jul 2015 14:14:02 -0400

pandas (0.16.2+git65-g054821d-1) unstable; urgency=medium

  * Fresh upstream post-release snapshot (to pick up recent fixes etc)
    (Closes: #787432)
  * debian/{control,rules}
    - build -doc package (Closes: #660900)
    - add ipython (or alternative new ones from neurodebian) into
      Build-Depends-Indep to build docs
    - add python{,3}-{lxml,html5lib} to Build-Depends and Recommends
    - use LC_ALL=C.UTF-8 while running tests
    - exclude also test_set_locale since it fails ATM
      see https://github.com/pydata/pandas/issues/10471

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 30 Jun 2015 17:26:54 -0400

pandas (0.16.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 13 Mar 2015 14:21:39 -0400

pandas (0.15.2-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 11 Dec 2014 09:51:57 -0500

pandas (0.15.1+git125-ge463818-1) unstable; urgency=medium

  * New upstream snapshot from v0.15.1-125-ge463818.
  * Upload to unstable during freeze since previous one in sid didn't make it
    to jessie anyways
  * debian/control
    - remove versioning demand for cython (it would use pre-cythonized code on
      older ones and there is no longer need in sid/jessie to enforce version).
      As a consecuence -- removed all dsc patches pointing to
      nocython3-dsc-patch, since no longer needed

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 30 Nov 2014 21:09:36 -0500
