=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: pandas
 Section: python
 Priority: optional
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50),
                python-all-dev (>= 2.5),
                python-setuptools,
-               cython (>= 0.17.1~),
+               cython,
                python-numpy (>= 1:1.7~), python-dateutil,
                python-scipy,
                python-tz,
@@ -20,6 +21,8 @@
                python-bs4,
                python-html5lib,
                python-six,
+               python-lxml,
+               python-html5lib,
                python3-all-dev,
                python3-setuptools,
                cython3 (>= 0.17.1~) | cython (<< 0.17.1~),
@@ -32,7 +35,11 @@
                python3-tk,
                python3-bs4,
                python3-six,
-			   xvfb, xauth, xclip,
+               python3-lxml,
+               python3-html5lib,
+               xvfb, xauth, xclip,
+Build-Depends-Indep:
+ ipython (>= 0.12) | ipython2x | ipython1x,
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
 Standards-Version: 3.9.5
@@ -43,7 +50,7 @@
 
 Package: python-pandas
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends},
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends},
          python-numpy (>= 1:1.7~),
          python-dateutil,
          python-pandas-lib(>= ${source:Version}),
@@ -57,6 +64,8 @@
             python-statsmodels,
             python-openpyxl, python-xlwt, python-xlrd,
             python-bs4,
+            python-html5lib,
+            python-lxml,
             python-html5lib,
 Provides: ${python:Provides}
 Suggests: python-pandas-doc
@@ -82,7 +91,7 @@
 
 Package: python3-pandas
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends},
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python3:Depends},
          python3-numpy (>= 1:1.7~),
          python3-dateutil,
          python3-pandas-lib(>= ${source:Version})
@@ -94,6 +103,8 @@
             python3-bs4,
             python3-html5lib,
             python3-six,
+            python3-lxml,
+            python3-html5lib,
 Suggests: python-pandas-doc
 Description: data structures for "relational" or "labeled" data - Python 3
  pandas is a Python package providing fast, flexible, and expressive
@@ -115,19 +126,18 @@
  .
  This package contains the Python 3 version.
 
-# No doc package built due to dependency on ipython 0.11 - only experimental
-# Package: python-pandas-doc
-# Architecture: all
-# Section: doc
-# Depends: ${misc:Depends}, libjs-jquery
-# Suggests: python-pandas
-# Description: documentation and examples for pandas
-#  This package contains documentation and example scripts for
-#  python-pandas.
+Package: python-pandas-doc
+Architecture: all
+Section: doc
+Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery
+Suggests: python-pandas
+Description: documentation and examples for pandas
+ This package contains documentation and example scripts for
+ python-pandas.
 
 Package: python-pandas-lib
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy (>= 1:1.7~)
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy (>= 1:1.7~)
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: low-level implementations and bindings for pandas
@@ -138,7 +148,7 @@
 
 Package: python3-pandas-lib
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, python3-numpy (>=1:1.7~)
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, python3-numpy (>=1:1.7~)
 Description: low-level implementations and bindings for pandas - Python 3
  This is an add-on package for python-pandas providing
  architecture-dependent extensions.
