=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 MIN_CYTHONVER = 0.20.2
 
 # Some unittests might need to be excluded for different Python versions
-EXCLUDE_TESTS := --exclude test_bar_log
+EXCLUDE_TESTS := --exclude 'test_(bar_log|set_locale)'
 EXCLUDE_TESTS2 :=
 EXCLUDE_TESTS3.2 :=
 #--exclude "test_bootstrap_plot"
@@ -93,7 +93,7 @@
 	export PYTHONPATH=`/bin/ls -d $$PWD/debian/tmp/usr/lib/python$$PY/*/`; \
 	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
 	python$* ci/print_versions.py; \
-    cd build/; xvfb-run -a -s "-screen 0 1280x1024x24 -noreset" \
+    cd build/; LC_ALL=C.UTF-8 xvfb-run -a -s "-screen 0 1280x1024x24 -noreset" \
       python$* /usr/bin/nosetests -s -v -A 'not network and not disabled' $(EXCLUDE_TESTS) $(EXCLUDE_TESTS$*) pandas;
 else
 	: # Skip unittests due to nocheck
@@ -106,9 +106,9 @@
 	: # not building documentation in -a
 else
 	: # not building documentation ATM since requires ipython 0.11
-# 	export PYTHONPATH=`/bin/ls -d $$PWD/$(PACKAGE2_ROOT_DIR)/usr/lib/python$(PYVER)/*`; \
-# 	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
-# 	 cd doc; python make.py html
+	export PYTHONPATH=`/bin/ls -d $$PWD/$(PACKAGE2_ROOT_DIR)/usr/lib/python$(PYVER)/*`; \
+	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
+	 cd doc; python make.py html
 endif
 endif
 	: # Use jquery from Debian package, so prune shipped one
