=== debian/changelog ===
pandas (0.17.1-3ubuntu2) xenial; urgency=medium

  * d/rules: Update EXCLUDE_TESTS to exclude more tests that are failing as
    noted in https://github.com/pydata/pandas/issues/11282.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Apr 2016 12:28:05 -0400

pandas (0.17.1-3ubuntu1) xenial; urgency=medium

  * d/rules: Update EXCLUDE_TESTS to exclude tests that are failing as
    noted in https://github.com/pydata/pandas/issues/11282.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 08 Feb 2016 14:32:15 -0500

pandas (0.17.1-3) unstable; urgency=medium

  * debian/tests/unittest*
    - set LC_ALL=C.UTF-8 for the tests run to prevent failure of test_set_locale

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 08 Dec 2015 08:31:30 -0500

pandas (0.17.1-2) unstable; urgency=medium

  * debian/control
    - make -statsmodels and -tables optional build-depends on those platforms
      where they are N/A atm.  Added bdepends on python3-tables since available

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 06 Dec 2015 12:58:26 -0500

pandas (0.17.1-1) unstable; urgency=medium

  * Fresh upstream bugfix release
  * debian/rules
    - fixed deletion of moved away .so files

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 27 Nov 2015 10:52:49 -0500

pandas (0.17.0+git8-gcac4ad2-2) unstable; urgency=medium

  * Bug fix: install also msgpack/*.so extensions to -lib packages

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 10 Oct 2015 13:52:54 -0400

pandas (0.17.0+git8-gcac4ad2-1) unstable; urgency=medium

  * New upstream snapshot post release to pick up few bugfixes
    - Started to trigger failures of test_constructor_compound_dtypes and
      test_invalid_index_types -- disabled those for now, see
      https://github.com/pydata/pandas/issues/11169
  * debian/rules
    - Generate pandas/version.py if not present out of debian/changelog
      upstream version information (versioneer wouldn't know since relies on
      git)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 09 Oct 2015 21:35:23 -0400
