=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pandas
 Section: python
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 7.0.50),
                python-all-dev (>= 2.5),
@@ -11,13 +10,13 @@
                python-numpy (>= 1:1.7~), python-dateutil,
                python-scipy,
                python-tz,
-               python-tables,
+               python-tables [!m68k !sh4 !x32],
                python-sphinx (>= 1.0~),
                python-nose,
                python-matplotlib [!hurd-i386],
                python-tk,
                python-openpyxl, python-xlwt, python-xlrd,
-               python-statsmodels [!arm64 !ppc64el],
+               python-statsmodels [!arm64 !ppc64el !sparc64 !mips64el !ppc64 !sparc64 !sh4],
                python-bs4,
                python-html5lib,
                python-six,
@@ -37,6 +36,7 @@
                python3-six,
                python3-lxml,
                python3-html5lib,
+               python3-tables [!m68k !sh4 !x32],
                xvfb, xauth, xclip,
 Build-Depends-Indep:
  ipython (>= 0.12) | ipython2x | ipython1x,
@@ -50,7 +50,7 @@
 
 Package: python-pandas
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends},
+Depends: ${misc:Depends}, ${python:Depends},
          python-numpy (>= 1:1.7~),
          python-dateutil,
          python-pandas-lib(>= ${source:Version}),
@@ -91,7 +91,7 @@
 
 Package: python3-pandas
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python3:Depends},
+Depends: ${misc:Depends}, ${python3:Depends},
          python3-numpy (>= 1:1.7~),
          python3-dateutil,
          python3-pandas-lib(>= ${source:Version})
@@ -129,7 +129,7 @@
 Package: python-pandas-doc
 Architecture: all
 Section: doc
-Depends: neurodebian-popularity-contest, ${misc:Depends}, libjs-jquery
+Depends: ${misc:Depends}, libjs-jquery
 Suggests: python-pandas
 Description: documentation and examples for pandas
  This package contains documentation and example scripts for
@@ -137,7 +137,7 @@
 
 Package: python-pandas-lib
 Architecture: any
-Depends: neurodebian-popularity-contest, ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy (>= 1:1.7~)
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy (>= 1:1.7~)
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: low-level implementations and bindings for pandas
@@ -148,7 +148,7 @@
 
 Package: python3-pandas-lib
 Architecture: any
-Depends: neurodebian-popularity-contest, ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, python3-numpy (>=1:1.7~)
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, python3-numpy (>=1:1.7~)
 Description: low-level implementations and bindings for pandas - Python 3
  This is an add-on package for python-pandas providing
  architecture-dependent extensions.
