=== debian/rules ===
--- 
+++ 
@@ -18,11 +18,14 @@
 PY3VER = $(shell py3versions -vd)
 
 UVER := $(shell LC_ALL=C dpkg-parsechangelog | awk '/^Version:/{print $$2;}' | sed -e 's,-[^-]*$$,,g')
+# Python doesn't use ~ for rc
+UVER_PY := $(shell echo $(UVER) | sed -e 's,[~],,g')
+UVER_PYSHORT := $(shell echo $(UVER_PY) | sed -e 's,+git.*,,g')
 
 MIN_CYTHONVER = 0.20.2
 
 # Some unittests might need to be excluded for different Python versions
-EXCLUDE_TESTS := --exclude 'test_(bar_log|set_locale)'
+EXCLUDE_TESTS := --exclude 'test_(bar_log|set_locale|constructor_compound_dtypes|invalid_index_types|timestamp_compare|nankurt|nansem|nanskew|NaT_cast|interp_alt_scipy|where_datetime|where_timedelta|rank_methods_frame|rank_methods_series|append_frame_column_oriented|pytables|msgpack)'
 EXCLUDE_TESTS2 :=
 EXCLUDE_TESTS3.2 :=
 #--exclude "test_bootstrap_plot"
@@ -35,6 +38,8 @@
 # try to prevent unsunctioned downloads
 export  http_proxy=http://127.0.0.1:9/
 export  https_proxy=http://127.0.0.1:9/
+
+export SHELL=/bin/bash
 
 # Mega rule
 %:
@@ -75,9 +80,14 @@
 	: # prune auto-generated version.py -- will be generated during build again
 	rm -f pandas/version.py
 
-override_dh_auto_build:
+version_py:
+	[ -e pandas/version.py ] || \
+      echo -e "version = '$(UVER_PY)'\nshort_version = '$(UVER_PYSHORT)'" > pandas/version.py
+
+override_dh_auto_build: version_py
 	# Override default build operation which --force's re-cythonization
 	# on elderly ubuntus
+	# Just build the version.py file
 	:
 
 override_dh_auto_install: ${PYVERS:%=python-install%} ${PY3VERS:%=python-install%} ${PYVERS:%=python-test%} ${PY3VERS:%=python-test%}
@@ -121,11 +131,9 @@
 ## remove .so libraries from main package, and call dh_numpy*
 ## while removing 2 if not present
 _dh_python%:
-	if [ -d debian/$(PACKAGE$*_NAME)/usr/lib ]; then \
-	   find debian/$(PACKAGE$*_NAME)/usr/lib -name "*.so" -delete; \
-	fi
 	[ -e /usr/bin/dh_numpy$(*:2=) ] && dh_numpy$(*:2=) -p$(PACKAGE$*_NAME)-lib || :
 	dh_python$*
+	-find debian/python*-pandas -name "*.so" -delete
 
 ## "Instantiate" both rules so dh sees them
 override_dh_python2: _dh_python2
