## pandas 0.18.0+git114-g6c692ae

=== debian/changelog ===
pandas (0.18.0+git114-g6c692ae-1~oio1) jessie; urgency=medium

  * Non-maintainer upload.

 -- Romain Acciari <romain.acciari@openio.io>  Wed, 27 Apr 2016 21:01:19 +0000

pandas (0.18.0+git114-g6c692ae-1) unstable; urgency=medium

  * debian/control
    - added python{,3}-pkg-resources to direct Depends for the packages
      (Closes: #821076)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 17 Apr 2016 20:49:25 -0400
