=== debian/control ===
--- 
+++ 
@@ -54,6 +54,7 @@
          python-numpy (>= 1:1.7~),
          python-dateutil,
          python-pandas-lib(>= ${source:Version}),
+         python-pkg-resources,
          python-six,
 Recommends: python-scipy,
             python-matplotlib,
@@ -94,7 +95,9 @@
 Depends: ${misc:Depends}, ${python3:Depends},
          python3-numpy (>= 1:1.7~),
          python3-dateutil,
-         python3-pandas-lib(>= ${source:Version})
+         python3-pandas-lib(>= ${source:Version}),
+         python3-pkg-resources,
+         python3-six,
 Recommends: python3-scipy,
             python3-matplotlib,
             python3-numexpr,
