## pandas 0.18.1

=== debian/changelog ===
pandas (0.18.1-1~nd14.04+1) trusty; urgency=medium

  * Backported for trusty.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 13 Jul 2016 16:34:54 -0400

pandas (0.18.1-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/patches/
    - changeset_46af7cf0f8e0477f6cc7454aa786a573228f0ac3.diff
      to allow also AttributeError exception being thrown in the tests
      (Closes: #827938)
    - debian/patches/deb_skip_test_precision_i386
      removed (upstreamed)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 13 Jul 2016 10:42:00 -0400
