## pandas 0.19.1

=== debian/changelog ===
pandas (0.19.1-1~nd16.10+1) yakkety; urgency=medium

  * Backported for yakkety.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 18 Nov 2016 23:50:54 -0500

pandas (0.19.1-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 18 Nov 2016 12:19:54 -0500

pandas (0.19.0+git14-ga40e185-1) unstable; urgency=medium

  * New upstream post-release (includes some bugfixes) snapshot
  * debian/patches
    - dropped changeset_ and up_ patches adopted upstream, refreshed the rest
  * debian/rules,patches
    - save debian-based version into __version.py, so doesn't conflict with
      upstream tests of public API
    - exclude for now test_expressions on python3
      (see https://github.com/pydata/pandas/issues/14269)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 13 Oct 2016 10:26:18 -0400
