=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,8 @@
 EXCLUDE_TESTS2 :=
 EXCLUDE_TESTS3.2 :=
 #--exclude "test_bootstrap_plot"
-EXCLUDE_TESTS3.3 := --exclude 'test_to_latex_filename'
+EXCLUDE_TESTS3.3 := --exclude 'test_(to_latex_filename|expressions)'
+
 #--exclude "test_(bootstrap_plot|quoting|cant_compare_tz_naive_w_aware|more_flexible_frame_multi_function|yahoo)"
 EXCLUDE_TESTS3.4 := $(EXCLUDE_TESTS3.3)
 EXCLUDE_TESTS3.5 := $(EXCLUDE_TESTS3.3)
@@ -79,12 +80,10 @@
 	[ "$(UVER)" = "`cat debian/cythonized-files/VERSION`" ]
 	rm -rf build doc/_build *-stamp # pandas.egg-info pandas/datasets/__config__.py
 	dh_clean
-	: # prune auto-generated version.py -- will be generated during build again
-	rm -f pandas/version.py
 
 version_py:
-	[ -e pandas/version.py ] || \
-      echo -e "version = '$(UVER_PY)'\nshort_version = '$(UVER_PYSHORT)'" > pandas/version.py
+	[ -e pandas/__version.py ] || \
+      echo -e "version = '$(UVER_PY)'\nshort_version = '$(UVER_PYSHORT)'" > pandas/__version.py
 
 override_dh_auto_build: version_py
 	# Override default build operation which --force's re-cythonization
